/* Importing Google Fonts & Global style rules */
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;700&display=swap');
html{
    scroll-behavior: smooth;
}
body {
    background-color: #222222;
    font-family: 'Inter', sans-serif;
    color: #ffffff;
    margin: 0;
}
a {
    color: #FFFFFF;
    text-decoration: none;
}
input[type="date"]::-webkit-calendar-picker-indicator {
    background-color: #FFFFFF;
    border-radius: 4px;
  }
input::placeholder {
    color: #d2d2d2;
}
/* Navbar */
.navbar {
    background-color: #1A1A1A;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
}
.nav-links {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px;
}
.navbar a, .navbar button {
    color: #FFFFFF;
    text-decoration: none;
    font-weight: bold;
    font-size: 16px;
    margin-left: 20px;
}
.navbar button {
    background-color: #FFFFFF;
    color: #222222;
    border: none;
    padding: 10px 15px;
    border-radius: 10px 10px 10px 0;
    cursor: pointer;
}
.logo img{
    position: absolute;
    top: 0;
    left: 0;
    max-height: 68px;
}
@media (max-width: 480px) {
    .navbar {
        justify-content: center;
    }
    .nav-links {
        justify-content: space-between;
        flex: 1;
    }
    .navbar a, .navbar button {
        margin-left: 0;
    }
    .logo img {
        display: none;
    }
}
/* Hero Section */
.hero {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}
.hero-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}
.hero-text {
    position: relative;
    max-width: 90%;
    color: white;
    text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.5);
}
.hero-text h1 {
    font-size: 3rem;
    margin: 0;
}
.hero-text h2 {
    font-size: 2rem;
    margin: 0;
}
@media (max-width: 768px) {
    .hero {
        height: 80vh;
    }
    .hero-text h1 {
        font-size: 2.5rem;
    }
    .hero-text h2 {
        font-size: 1.5rem;
    }
}
@media (max-width: 480px) {
    .hero {
        height: 60vh;
    }
    .hero-text h1 {
        font-size: 2rem;
    }
    .hero-text h2 {
        font-size: 1.2rem;
    }
}
/* Popin */
.popin-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    z-index: 1000;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}
.popin {
    display: none;
    position: fixed;
    color: #FFFFFF;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #1E1E1E;
    padding: 20px;
    width: 350px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    z-index: 1001;
    border-radius: 10px;
    opacity: 0;
    transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;   
}
.popin.show {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
}
.popin-overlay.show {
    opacity: 1;
}
.popin h1 {
    margin: 0;
    margin-bottom: 25px;
}
.popin-content {
    display: flex;
    flex-direction: column;
}
.close-btn {
    position: absolute;
    color: #FFFFFF;
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
    align-self: flex-end;
}
form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
label {
    margin-top: 10px;
    font-weight: bold;
}
input, select {
    width: 100%;
    padding: 8px;
    background: rgba(20, 20, 20, 0.8);
    color: #FFFFFF;
    border: 2px solid #EFEFEF;
    border-radius: 5px;
    box-sizing: border-box;
}
.form-group {
    display: flex;
    justify-content: space-between;
}
.form-group div {
    width: 48%;
}
.submit-btn {
    background: #FFFFFF;
    color: #1E1E1E;
    border: none;
    padding: 10px;
    cursor: pointer;
    border-radius: 5px;
    width: 100%;
    box-sizing: border-box;
}
.popin-footer{
    margin-top: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.popin p, .popin h3 {
    margin: 0;
}
.popin h3 {
    margin-bottom: 10px;
}
.popin textarea {
    width: 100%;
    padding: 8px;
    background: rgba(20, 20, 20, 0.8);
    color: #FFFFFF;
    border: 2px solid #EFEFEF;
    border-radius: 5px;
    box-sizing: border-box;
    resize: vertical;
    min-height: 50px;
}
.disabled-day a {
    background-color: #ddd !important;
    color: #999 !important;
    pointer-events: none;
  }
/* Menu Section */
.menu-section {
    text-align: center;
    padding: 40px 10%;
}
.menu-section h3 {
    font-size: 28px;
    margin-bottom: 5px;
}
.menu-count {
    font-size: 14px;
    color: gray;
    margin-bottom: 20px;
}

.menu-item {
    text-align: left;
    margin-bottom: 30px;
}
.menu-header {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding-bottom: 5px;
    margin-bottom: 15px;
}
.menu-header h4 {
    font-size: 22px;
    font-weight: bold;
    margin: 0;
}
.menu-price {
    font-size: 20px;
    font-weight: normal;
    color: #C5C5C5;
}
.menu-details{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.menu-details p {
    margin: 5px 0;
}
.menu-details strong {
    font-weight: bold;
}
.menu-details span {
    font-weight: lighter;
    font-size: 16px;
    color: #C5C5C5;
}
.menu-separator {
    width: 100%;
    height: 2px;
    background-color: white;
    margin: 30px auto;
}
/* Footer */
.footer {
    background-color: #1A1A1A;
    color: white;
    padding: 40px 10%;
    font-size: 14px;
}
.footer-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    text-align: left;
}
.footer-column h4 {
    font-size: 16px;
    font-weight: bold;
    color: #C5C5C5;
    margin-bottom: 10px;
}
.footer-column p, 
.footer-column ul {
    margin: 5px 0;
    color: #FFFFFF;
}
.footer-column ul {
    list-style: none;
    padding: 0;
}
.footer-column ul li {
    margin: 5px 0;
}
.footer-column ul li a {
    text-decoration: none;
    color: #FFFFFF;
}
.footer-column ul li a:hover {
    color: #EFEFEF;
}
.footer-bottom {
    text-align: center;
    font-size: 12px;
    color: #808080;
    margin-top: 20px;
}
/* About Section */
.about-section {
    background-color: #1A1A1A;
    color: white;
    text-align: center;
    padding: 40px 5%;
}
.about-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 50px;
    margin-top: 20px;
}
.about h2 {
    display: flex;
    justify-content: center;
    align-items: center;
}
.about-info {
    text-align: left;
    min-width: 250px;
    max-width: 500px;
}
.about-info h3 {
    font-size: 16px;
    font-weight: bold;
    margin-top: 30px;
}
.about-info p {
    color: #ddd;
    margin: 5px 0;
}
.about-info a {
    color: white;
    text-decoration: none;
}
.reserve-btn {
    background: white;
    color: black;
    padding: 10px 20px;
    font-size: 16px;
    font-weight: bold;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 15px;
    display: inline-block;
}
.reserve-btn:hover {
    background: #ddd;
}
.about-map {
    overflow: hidden;
    max-width: 100%;
    display: flex;
    justify-content: center;
}
.about-map iframe {
    border-radius: 15px;
}
.about-recommendations {
    margin-top: 30px;
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
    margin-bottom: 60px;
}
.about-recommendations img {
    max-width: 100%;
    width: 200px;
    height: auto;
    object-fit: contain;
    border-radius: 5px;
    align-items: center;
}
@media (max-width: 768px) {
    .about-container {
        flex-direction: column;
        align-items: center;
    }   
    .about-info {
        text-align: center  ;
        max-width: 100%;
        width: 100%;
    }
}
@media (max-width: 480px) {
    .about-map iframe {
        max-width: 100%;
        width: 100%;
    }
}